/*********************************************************************
 *
 *                Microchip USB C18 Firmware Version 1.0
 *
 *********************************************************************
 * FileName:        user.h
 * Dependencies:    See INCLUDES section below
 * Processor:       PIC18
 * Compiler:        C18 2.30.01+
 * Company:         Microchip Technology, Inc.
 *
 * Software License Agreement
 *
 * Author               Date        Comment
 *~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Rawin Rojvanit       11/19/04    Original.
 ********************************************************************/

#ifndef USER_H
#define USER_H

#include "lcd.h"
#include "delay.h"

// State declarations for ProcessIo() states in user.c
#define NO_STATE		0
#define STATE_COMMAND		1
#define STATE_GETCOL		2
#define STATE_GETROW		3
#define STATE_GETCONTRAST	4
#define STATE_GETBACKLIGHT	5
#define STATE_GETCGADR		6
#define STATE_GETCG0		7
#define STATE_GETCG1		8
#define STATE_GETCG2		9
#define STATE_GETCG3		10
#define STATE_GETCG4		11
#define STATE_GETCG5		12
#define STATE_GETCG6		13
#define STATE_GETCG7		14


/** P U B L I C  P R O T O T Y P E S *****************************************/
void UserInit(void);
void ProcessIO(void);

#endif //USER_H
